Bug 7582 - When adding a Z39.50 server the "checked" option should use a checkbox
Summary: When adding a Z39.50 server the "checked" option should use a checkbox
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: System Administration (show other bugs)
Version: 3.8
Hardware: All All
: P5 - low minor (vote)
Assignee: Owen Leonard
QA Contact: Ian Walls
URL: /cgi-bin/koha/admin/z3950servers.pl
Keywords:
Depends on:
Blocks:
 
Reported: 2012-02-22 17:24 UTC by Owen Leonard
Modified: 2013-12-05 20:01 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 7582 - When adding a Z39.50 server the "checked" option should use a Yes/No dropdown (3.20 KB, patch)
2012-02-22 17:33 UTC, Owen Leonard
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 7582 - When adding a Z39.50 server the "checked" option should use a Yes/No dropdown (4.66 KB, patch)
2012-02-23 10:08 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 7582 - When adding a Z39.50 server the "checked" option should use a checkbox (4.54 KB, patch)
2012-02-24 13:52 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 7582 - When adding a Z39.50 server the "checked" option should use a checkbox (4.60 KB, patch)
2012-02-25 20:30 UTC, Jared Camins-Esakov
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2012-02-22 17:24:28 UTC
Instead of asking the user to type 0 or 1 there should be a Yes/No dropdown for choosing whether a Z39.50 server is checked by default.
Comment 1 Owen Leonard 2012-02-22 17:33:47 UTC Comment hidden (obsolete)
Comment 2 Owen Leonard 2012-02-22 17:35:49 UTC
After applying the patch, when adding or editing a Z39.50 server the "checked" option should show a dropdown choice of Yes or No. When editing, the option should be preselected with the correct value.

I also updated the table of existing Z39.50 servers to show "Yes" or "No" instead of 1 or 0.
Comment 3 Jonathan Druart 2012-02-23 10:08:00 UTC Comment hidden (obsolete)
Comment 4 Ian Walls 2012-02-23 18:21:55 UTC
Not to nit-pick, but wouldn't a single checkbox work just as well here for this boolean choice?
Comment 5 Owen Leonard 2012-02-24 13:52:05 UTC Comment hidden (obsolete)
Comment 6 Jared Camins-Esakov 2012-02-25 20:30:25 UTC
Created attachment 7872 [details] [review]
Bug 7582 - When adding a Z39.50 server the "checked" option should use a checkbox

Signed-off-by: Jared Camins-Esakov <jcamins@cpbibliography.com>
Comment 7 Paul Poulain 2012-02-27 17:36:38 UTC
QA comment:
* small patches, mostly on template
* template still valid & translatable

passed QA
Comment 8 Paul Poulain 2012-02-28 08:57:01 UTC
last patch I pushed yesterday, forgot to update the status
Comment 9 Jared Camins-Esakov 2012-05-23 23:50:09 UTC
Although I think this is a definite improvement, I am not going to push it to 3.6.x because I would not expect a minor version to make a change to the data entry interface.